Bug 449783 - PackageKit with rollback causing invalid updates
PackageKit with rollback causing invalid updates
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 11:26 EDT by Michael Ansel
Modified: 2008-06-06 03:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-06 03:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pkcon update-system output (1.59 KB, text/plain)
2008-06-05 10:45 EDT, Michael Ansel
no flags Details
IRC log of solution (1.82 KB, text/plain)
2008-06-05 13:17 EDT, Michael Ansel
no flags Details

  None (edit)
Description Michael Ansel 2008-06-03 11:26:20 EDT
Description of problem:
I'm running Fedora 9 with the Livna repository added, all packages up to date. I
have also enabled auto-repackage to yum and RPM for easy rollbacks. Whenever
PackageKit automatically updates my software, a popup claims there was a system
error. I was once able to generate a full stack trace that said something about
rollback in it, but I can't figure out how to do that again. Where can I find
more in-depth logs or error messages to post?

Additionally, (though not positive its connected) I have noticed several of my
installs getting invalidated after updates (usually missing library files).
Using yum I have either uninstalled and reinstalled the damaged package or
installed the missing dependency, and the program works fine afterwards.
However, it is a hassle to have programs randomly fail.

Please let me know where I can find more verbose and specific error messages.
Thanks!
Comment 1 Richard Hughes 2008-06-04 03:54:40 EDT
Can you try "pkcon update-system" and try to get a backtrace please. Thanks.
Comment 2 Michael Ansel 2008-06-05 10:45:53 EDT
Created attachment 308443 [details]
pkcon update-system output
Comment 3 Richard Hughes 2008-06-05 11:48:04 EDT
Right, the constants that yum supplies us with are:

TS_UPDATE = 10
TS_INSTALL = 20
TS_TRUEINSTALL = 30
TS_ERASE = 40
TS_OBSOLETED = 50
TS_OBSOLETING = 60
TS_AVAILABLE = 70
TS_UPDATED = 90

It appears the rollback source uses constants not here. Have you got a link to
the rollback source code? Do you know what constants the rollback script uses?
We will need to add localised descriptions for them too.
Comment 4 Richard Hughes 2008-06-05 11:53:52 EDT
If you edit: /usr/share/PackageKit/helpers/yum/yumBackend.py and change:

            self.base.status(self.state_actions[action])
            self._showName(self.info_actions[action])

to:

            try:
                self.base.status(self.state_actions[action])
                self._showName(self.info_actions[action])
            except exceptions.KeyError,e:
                self.message(MESSAGE_WARNING,"The constant '%s' was unknown,
please report" % action)

Do you get a warning with the constant name?
Comment 5 Michael Ansel 2008-06-05 13:17:41 EDT
Created attachment 308463 [details]
IRC log of solution

Solved via IRC
Comment 6 Richard Hughes 2008-06-06 03:58:37 EDT
I've merged a more complete patch into git master, thanks. It'll be in the 0.2.3
release which should be in a couple of weeks. Cheers for your help.

Note You need to log in before you can comment on or make changes to this bug.